Bug 6860 - Fails to build on QNX because cannot build shared libraries
Fails to build on QNX because cannot build shared libraries
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.3
Other Windows XP
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-30 10:38 UTC by Matt Kraai
Modified: 2009-12-07 08:55 UTC (History)
0 users

See Also:
metze: review+


Attachments
Enable shared libraries on QNX (1.09 KB, patch)
2009-10-30 10:39 UTC, Matt Kraai
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Kraai 2009-10-30 10:38:20 UTC
Samba 3.4.3 fails to build on a system with krb5 installed because it tries to build winbind_krb5_locator.shared_libraries_disabled:

 Linking bin/winbind_krb5_locator.shared_libraries_disabled
 /bin/sh: shared-libraries-disabled: cannot execute - No such file or directory
 make: *** [bin/winbind_krb5_locator.shared_libraries_disabled] Error 126
Comment 1 Matt Kraai 2009-10-30 10:39:05 UTC
Created attachment 4905 [details]
Enable shared libraries on QNX
Comment 2 Björn Jacke 2009-12-02 17:14:46 UTC
as requested by Matt, I think 1d013fd03295433698f2b301dbf8324a3db528eb and a2929a638fa6824e38beec7eaa78ac108c522f50 are fine for 3.4 cherry-picking to fix the build there, too.
Comment 3 Stefan Metzmacher 2009-12-07 03:57:27 UTC
Looks good to me
Comment 4 Karolin Seeger 2009-12-07 08:55:17 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks a lot!